Installation

Recommandations

Apysey est un package Laravel supportant Laravel 6.0+.

Apysey a besoin d’un système d’authentification pour fonctionner correctement. Il sera nécessaire de les installer si possible avant l’installation d’Apysey ou pendant celui-ci :

  • Laravel/ui

ou

  • Jetstream

Apysey est supporté par les récentes versions des navigateurs

Installation

A partir de votre tableau de bord et une fois l’achat d’une licence, il vous sera possible de télécharger le fichier « Zip » compressé du package.

En premier, décompressez le package dans un répertoire nommé Apysey à la racine de votre projet.

Une fois décompressé, il faudra ajouter cette configuration à votre composer.json

"repositories": [
	{
     	"type": "path",
     	"url": "./apysey"
	}
],

Après, ajoutez dysey/apysey dans la section <require> de votre fichier composer.json

"require": {
	"php": "^7.3",
	"fideloper/proxy": "^4.2",
	"laravel/framework": "^8.0",
	"dysey/apysey": "*"
},

Après avoir mis à jour votre composer.json, lancez la commande composer update dans la terminal de votre projet.


Pour finir, lancez la commande apysey:install pour installer les fichiers de configurations dans votre application et migrer les données dans votre base de données. De plus, si aucun utilisateur n'est créé alors un utilisateur admin est créé avec toutes les permissions.

php artisan apysey:install

Et voilà maintenant place à la configuration !